#ifndef CUSTOMSPINPUGIN_H
#define CUSTOMSPINPUGIN_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>

class CustomSpinPlugin : public QObject,
                         public QDesignerCustomWidgetInterface
{
    Q_OBJECT
    Q_INTERFACES( QDesignerCustomWidgetInterface )

  public:
    CustomSpinPlugin( QObject *parent = 0 );

    virtual bool isContainer() const;
    virtual bool isInitialized() const;
    virtual QIcon icon() const;
    virtual QString domXml() const;
    virtual QString group() const;
    virtual QString includeFile() const;
    virtual QString name() const;
    virtual QString toolTip() const;
    virtual QString whatsThis() const;
    virtual QWidget *createWidget( QWidget *parent );
    virtual void initialize( QDesignerFormEditorInterface * );
};

#endif // CUSTOMSPINPUGIN_H
