#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QPainter>

MainWindow::MainWindow( QWidget *parent ) :
    QMainWindow( parent ),
    ui( new Ui::MainWindow )
{
  ui->setupUi(this);

  ui->groupBox->installEventFilter( this );
}

bool MainWindow::eventFilter( QObject *obj, QEvent *evt )
{
  if( evt->type() == QEvent::Paint )
  {
    QPainter p( ui->groupBox );
    p.drawLine( 0,
                ui->groupBox->rect().center().y(),
                ui->groupBox->width(),
                ui->groupBox->rect().center().y() );
  }
  return QMainWindow::eventFilter( obj, evt );
}

void MainWindow::paintEvent(QPaintEvent *)
{
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
